Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTabletEvent.PointerType

    java.lang.Object
      java.lang.Enum<QTabletEvent.PointerType>
          com.trolltech.qt.gui.QTabletEvent.PointerType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTabletEvent.PointerType>

Enclosing class:
  QTabletEvent

    public static enum QTabletEvent.PointerType

extends java.lang.Enum<QTabletEvent.PointerType>
implements QtEnumerator

This enum defines what type of point is generating the event.

See Also:
  `pointerType`

Enum Constant Summary
`Cursor` Any puck-like device.
`Eraser` Eraser end of a stylus-like device (the broad end of the pen).
`Pen` Tip end of a stylus-like device (the narrow end of the pen).
`UnknownPointer` An unknown device.

Method Summary
`static QTabletEvent.PointerType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTabletEvent.PointerType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTabletEvent.PointerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UnknownPointer

    public static final QTabletEvent.PointerType UnknownPointer

  An unknown device.

### Pen

    public static final QTabletEvent.PointerType Pen

  Tip end of a stylus-like device (the narrow end of the pen).

### Cursor

    public static final QTabletEvent.PointerType Cursor

  Any puck-like device.

### Eraser

    public static final QTabletEvent.PointerType Eraser

  Eraser end of a stylus-like device (the broad end of the pen).

Method Detail

### values

    public static final QTabletEvent.PointerType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTabletEvent.PointerType c : QTabletEvent.PointerType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTabletEvent.PointerType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTabletEvent.PointerType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD